Campaign notifications

GET https://dashboard.growthtools.app/api/notifications/
curl --request GET \
--url 'https://dashboard.growthtools.app/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: name.
is_enabled Optional Boolean
type Optional String Allowed values: informational, coupon, live_counter, email_collector, conversions, conversions_counter, video, audio, social_share, reviews, emoji_feedback, cookie_notification, score_feedback, request_collector, countdown_collector, custom_html, informational_bar, image, collector_bar, coupon_bar, button_bar, collector_modal, collector_two_modal, button_modal, text_feedback, engagement_links, whatsapp_chat, contact_us, informational_mini, informational_bar_mini, badge, gt_accordion_faq, gt_before_after, gt_business_hours, gt_countdown_cta, gt_custom_html_bar, gt_email_locker, gt_help_center, gt_icons_links, gt_image_hotspot, gt_logo_showcase, gt_messenger_chat, gt_photo_gallery, gt_podcast_player, gt_popup, gt_pricing_table, gt_quiz, gt_restaurant_menu, gt_rss_feed, gt_spin_wheel, gt_telegram_chat, gt_video_bubble
datetime_field Optional String Allowed values: datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: notification_id, datetime, last_datetime, name, impressions, hovers, clicks, form_submissions.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "campaign_id": 1,
            "notification_key": "Example",
            "name": "Example",
            "type": "Example",
            "settings": [],
            "impressions": 1,
            "hovers": 1,
            "clicks": 1,
            "form_submissions": 1,
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-10-15 15:35:50"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://dashboard.growthtools.app/api/notifications?page=1",
        "last": "https://dashboard.growthtools.app/api/notifications?page=1",
        "next": null,
        "prev": null,
        "self": "https://dashboard.growthtools.app/api/notifications?page=1"
    }
}
GET https://dashboard.growthtools.app/api/notifications/{notification_id}
curl --request GET \
--url 'https://dashboard.growthtools.app/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "campaign_id": 1,
        "notification_key": "Example",
        "name": "Example",
        "type": "Example",
        "settings": [],
        "impressions": 1,
        "hovers": 1,
        "clicks": 1,
        "form_submissions": 1,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-15 15:35:50"
    }
}
POST https://dashboard.growthtools.app/api/notifications
Parameters Details Description
campaign_id Required Integer -
type Required String Allowed values: informational, coupon, live_counter, email_collector, conversions, conversions_counter, video, audio, social_share, reviews, emoji_feedback, cookie_notification, score_feedback, request_collector, countdown_collector, custom_html, informational_bar, image, collector_bar, coupon_bar, button_bar, collector_modal, collector_two_modal, button_modal, text_feedback, engagement_links, whatsapp_chat, contact_us, informational_mini, informational_bar_mini, badge, gt_accordion_faq, gt_before_after, gt_business_hours, gt_countdown_cta, gt_custom_html_bar, gt_email_locker, gt_help_center, gt_icons_links, gt_image_hotspot, gt_logo_showcase, gt_messenger_chat, gt_photo_gallery, gt_podcast_player, gt_popup, gt_pricing_table, gt_quiz, gt_restaurant_menu, gt_rss_feed, gt_spin_wheel, gt_telegram_chat, gt_video_bubble
name Optional String -
is_enabled Optional Boolean -
curl --request POST \
--url 'https://dashboard.growthtools.app/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=informational' \
--form 'is_enabled=1'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "campaign_id": 1,
        "notification_key": "Example",
        "name": "Example",
        "type": "Example",
        "settings": {},
        "impressions": "Example",
        "hovers": "Example",
        "clicks": 1,
        "form_submissions": "Example",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-15 15:35:50"
    }
}
POST https://dashboard.growthtools.app/api/notifications/{notification_id}
Parameters Details Description
name Optional String -
is_enabled Optional Boolean -
trigger_all_pages Optional Boolean -
display_trigger Optional String Allowed values: delay, time_on_site, pageviews, inactivity, exit_intent, scroll, target_visible, click, hover, event
display_trigger_value Optional String -
display_trigger_selector Optional String Available when: display_trigger = target_visible
display_delay_type_after_close Optional String Allowed values: time_on_site, pageviews
display_delay_value_after_close Optional Integer -
display_focus Optional Boolean -
display_focus_behavior Optional String Allowed values: visual_only, outside_click_unfocus, lock_until_interaction
display_frequency Optional String Allowed values: all_time, once_per_session, once_per_browser
direction Optional String Allowed values: rtl, ltr
display_continents Optional Array String -
display_countries Optional Array String -
display_languages Optional Array String -
display_operating_systems Optional Array String -
display_browsers Optional Array String -
display_cities Optional Array String -
display_mobile Optional Boolean -
display_desktop Optional Boolean -
schedule Optional Boolean -
start_date Optional String -
end_date Optional String -
display_duration Optional Integer -
display_position Optional String Allowed values: top_left, top_center, top_right, middle_left, middle_center, middle_right, bottom_left, bottom_center, bottom_right, top, bottom, top_floating, bottom_floating
display_close_button Optional Boolean -
close_button_color Optional String -
dark_mode_close_button_color Optional String -
display_branding Optional Boolean -
shadow Optional String Allowed values: , subtle, feather, 3d, layered
border_width Optional Integer Allowed values: 0, 1, 2, 3, 4, 5
internal_padding Optional Integer Allowed values: 5-25
background_blur Optional Integer Allowed values: 0-30
custom_css Optional String -
hover_animation Optional String Allowed values: , fast_scale_up, slow_scale_up, fast_scale_down, slow_scale_down
on_animation Optional String Allowed values: fadeIn, slideInUp, slideInDown, zoomIn, bounceIn
off_animation Optional String Allowed values: fadeOut, slideOutUp, slideOutDown, zoomOut, bounceOut
animation Optional String Allowed values: , heartbeat, bounce, flash, pulse
animation_interval Optional Integer -
font Optional String Allowed values: inherit, Arial, Verdana, Helvetica, Tahoma, Trebuchet MS, Times New Roman, Georgia, Courier New, Monaco, Comic Sans MS, Courier, Impact, Futura, Luminari, Baskerville, Papyrus
border_radius Optional String Allowed values: straight, rounded, highly_rounded, round
dark_mode_is_enabled Optional Boolean
notifications Optional Array Available when: type = email_collector, collector_bar, collector_modal, collector_two_modal, conversions, inline_conversions, conversions_counter, inline_conversions_counter, countdown_collector, request_collector, text_feedback Notification handler ids
translations[input_key][index]['key'] Optional String Available for all the marked for translation fields.
translations[input_key][index]['value'] Optional String Available for all the marked for translation fields.
informational
title Optional String Available when: type = informational Translatable
description Optional String Available when: type = informational Translatable
image Optional File Available when: type = informational
image_alt Optional String Available when: type = informational
url Optional String Available when: type = informational
url_new_tab Optional Boolean Available when: type = informational
title_color Optional String Available when: type = informational
description_color Optional String Available when: type = informational
background_color Optional String Available when: type = informational
border_color Optional String Available when: type = informational
shadow_color Optional String Available when: type = informational
dark_mode_title_color Optional String Available when: type = informational
dark_mode_description_color Optional String Available when: type = informational
dark_mode_background_color Optional String Available when: type = informational
dark_mode_border_color Optional String Available when: type = informational
dark_mode_shadow_color Optional String Available when: type = informational
informational_mini
title Optional String Available when: type = informational_mini
image Optional File Available when: type = informational_mini
image_alt Optional String Available when: type = informational_mini
url Optional String Available when: type = informational_mini
url_new_tab Optional Boolean Available when: type = informational_mini
title_color Optional String Available when: type = informational_mini
description_color Optional String Available when: type = informational_mini
background_color Optional String Available when: type = informational_mini
border_color Optional String Available when: type = informational_mini
shadow_color Optional String Available when: type = informational_mini
dark_mode_title_color Optional String Available when: type = informational_mini
dark_mode_description_color Optional String Available when: type = informational_mini
dark_mode_background_color Optional String Available when: type = informational_mini
dark_mode_border_color Optional String Available when: type = informational_mini
dark_mode_shadow_color Optional String Available when: type = informational_mini
coupon
title Optional String Available when: type = coupon
description Optional String Available when: type = coupon
image Optional File Available when: type = coupon
image_alt Optional String Available when: type = coupon
coupon_code Optional String Available when: type = coupon Translatable
button_url Optional String Available when: type = coupon
url_new_tab Optional Boolean Available when: type = coupon
button_text Optional String Available when: type = coupon Translatable
title_color Optional String Available when: type = coupon
description_color Optional String Available when: type = coupon
background_color Optional String Available when: type = coupon
coupon_code_background_color Optional String Available when: type = coupon
button_background_color Optional String Available when: type = coupon
button_color Optional String Available when: type = coupon
border_color Optional String Available when: type = coupon
shadow_color Optional String Available when: type = coupon
dark_mode_title_color Optional String Available when: type = coupon
dark_mode_description_color Optional String Available when: type = coupon
dark_mode_background_color Optional String Available when: type = coupon
dark_mode_coupon_code_background_color Optional String Available when: type = coupon
dark_mode_button_background_color Optional String Available when: type = coupon
dark_mode_button_color Optional String Available when: type = coupon
dark_mode_border_color Optional String Available when: type = coupon
dark_mode_shadow_color Optional String Available when: type = coupon
live_counter / live_counter_bar / inline_live_counter
description Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
last_activity Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
activity_type Optional String Allowed values: all, page Available when: type = live_counter, live_counter_bar, inline_live_counter
url Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
url_new_tab Optional Boolean Available when: type = live_counter, live_counter_bar, inline_live_counter
selector Optional String Available when: type = inline_live_counter
inline_placement Optional String Available when: type = inline_live_counter
margin_top Optional String Available when: type = inline_live_counter
margin_right Optional String Available when: type = inline_live_counter
margin_bottom Optional String Available when: type = inline_live_counter
margin_left Optional String Available when: type = inline_live_counter
display_minimum_activity Optional Integer Available when: type = live_counter, live_counter_bar, inline_live_counter
description_color Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
background_color Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
number_background_color Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
number_color Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
pulse_background_color Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
dark_mode_description_color Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
dark_mode_background_color Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
dark_mode_number_background_color Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
dark_mode_number_color Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
dark_mode_pulse_background_color Optional String Available when: type = live_counter, live_counter_bar, inline_live_counter
email_collector
conversions / inline_conversions
title Optional String Available when: type = conversions, inline_conversions
description Optional String Available when: type = conversions, inline_conversions
image Optional File Available when: type = conversions, inline_conversions
image_alt Optional String Available when: type = conversions, inline_conversions
url Optional String Available when: type = conversions, inline_conversions
display_time Optional Boolean Available when: type = conversions, inline_conversions
url_new_tab Optional Boolean Available when: type = conversions, inline_conversions
conversions_count Optional Integer Available when: type = conversions, inline_conversions
in_between_delay Optional Integer Available when: type = conversions, inline_conversions
order Optional String Available when: type = conversions, inline_conversions
Allowed values: random, descending
data_trigger_auto Optional Boolean Available when: type = conversions, inline_conversions
data_trigger_auto_type[index] Optional Array String Available when: type = conversions, inline_conversions
Allowed values: exact, contains, starts_with, ends_with
data_trigger_auto_value[index] Optional Array String Available when: type = conversions, inline_conversions
title_color Optional String Available when: type = conversions, inline_conversions
description_color Optional String Available when: type = conversions, inline_conversions
date_color Optional String Available when: type = conversions, inline_conversions
background_color Optional String Available when: type = conversions, inline_conversions
border_color Optional String Available when: type = conversions, inline_conversions
shadow_color Optional String Available when: type = conversions, inline_conversions
dark_mode_title_color Optional String Available when: type = conversions, inline_conversions
dark_mode_description_color Optional String Available when: type = conversions, inline_conversions
dark_mode_date_color Optional String Available when: type = conversions, inline_conversions
dark_mode_background_color Optional String Available when: type = conversions, inline_conversions
dark_mode_border_color Optional String Available when: type = conversions, inline_conversions
dark_mode_shadow_color Optional String Available when: type = conversions, inline_conversions
conversions counter
title Optional String Available when: type = conversions counter
last_activity Optional String Available when: type = conversions counter
url Optional String Available when: type = conversions counter
url_new_tab Optional Boolean Available when: type = conversions counter
display_minimum_activity Optional String Available when: type = conversions counter
title_color Optional String Available when: type = conversions counter
description_color Optional String Available when: type = conversions counter
background_color Optional String Available when: type = conversions counter
number_background_color Optional String Available when: type = conversions counter
number_color Optional String Available when: type = conversions counter
border_color Optional String Available when: type = conversions counter
shadow_color Optional String Available when: type = conversions counter
dark_mode_title_color Optional String Available when: type = conversions counter
dark_mode_description_color Optional String Available when: type = conversions counter
dark_mode_background_color Optional String Available when: type = conversions counter
dark_mode_number_background_color Optional String Available when: type = conversions counter
dark_mode_number_color Optional String Available when: type = conversions counter
dark_mode_border_color Optional String Available when: type = conversions counter
dark_mode_shadow_color Optional String Available when: type = conversions counter
data_trigger_auto Optional Boolean Available when: type = conversions counter
data_trigger_auto_type[index] Optional Array String Available when: type = conversions, inline_conversions
Allowed values: exact, contains, starts_with, ends_with
data_trigger_auto_value[index] Optional Array String Available when: type = conversions, inline_conversions
video
title Optional String Available when: type = video
video_source Optional String Available when: type = video url, upload
video Optional String Available when: type = video
video_file Optional File Available when: type = video
video_poster Optional File Available when: type = video
video_is_youtube Optional Boolean Available when: type = video
youtube_video_id Optional String Available when: type = video
video_autoplay Optional Boolean Available when: type = video
video_controls Optional Boolean Available when: type = video
video_loop Optional Boolean Available when: type = video
video_muted Optional Boolean Available when: type = video
button_url Optional String Available when: type = video
button_text Optional String Available when: type = video Translatable
url_new_tab Optional Boolean Available when: type = video
title_color Optional String Available when: type = video
background_color Optional String Available when: type = video
button_background_color Optional String Available when: type = video
button_color Optional String Available when: type = video
border_color Optional String Available when: type = video
shadow_color Optional String Available when: type = video
dark_mode_title_color Optional String Available when: type = video
dark_mode_background_color Optional String Available when: type = video
dark_mode_button_background_color Optional String Available when: type = video
dark_mode_button_color Optional String Available when: type = video
dark_mode_border_color Optional String Available when: type = video
dark_mode_shadow_color Optional String Available when: type = video
audio
title Optional String Available when: type = audio
audio_source Optional String Available when: type = audio url, upload
audio Optional File String Available when: type = audio
audio_cover Optional File Available when: type = audio
audio_autoplay Optional Boolean Available when: type = audio
audio_controls Optional Boolean Available when: type = audio
audio_loop Optional Boolean Available when: type = audio
audio_muted Optional Boolean Available when: type = audio
button_url Optional String Available when: type = audio
button_text Optional String Available when: type = audio Translatable
url_new_tab Optional Boolean Available when: type = audio
title_color Optional String Available when: type = audio
background_color Optional String Available when: type = audio
button_background_color Optional String Available when: type = audio
button_color Optional String Available when: type = audio
border_color Optional String Available when: type = audio
shadow_color Optional String Available when: type = audio
dark_mode_title_color Optional String Available when: type = audio
dark_mode_background_color Optional String Available when: type = audio
dark_mode_button_background_color Optional String Available when: type = audio
dark_mode_button_color Optional String Available when: type = audio
dark_mode_border_color Optional String Available when: type = audio
dark_mode_shadow_color Optional String Available when: type = audio
social_share
reviews
url Optional String Available when: type = reviews
url_new_tab Optional Boolean Available when: type = reviews
reviews_count Optional api_documentation.integer Available when: type = reviews
in_between_delay Optional api_documentation.integer Available when: type = reviews
order Optional String Available when: type = reviews
title api_documentation.default String Available when: type = reviews
description api_documentation.default String Available when: type = reviews
image api_documentation.default File Available when: type = reviews
stars api_documentation.default api_documentation.integer Available when: type = reviews
title_color Optional String Available when: type = reviews
description_color Optional String Available when: type = reviews
background_color Optional String Available when: type = reviews
border_color Optional String Available when: type = reviews
shadow_color Optional String Available when: type = reviews
dark_mode_title_color Optional String Available when: type = reviews
dark_mode_description_color Optional String Available when: type = reviews
dark_mode_background_color Optional String Available when: type = reviews
dark_mode_border_color Optional String Available when: type = reviews
dark_mode_shadow_color Optional String Available when: type = reviews
rating_summary / inline_rating_summary
description Optional String Available when: type = rating_summary, inline_rating_summary Translatable
average_rating Optional Float Available when: type = rating_summary, inline_rating_summary
reviews_count Optional api_documentation.integer Available when: type = rating_summary, inline_rating_summary
display_minimum_reviews Optional api_documentation.integer Available when: type = rating_summary, inline_rating_summary
url Optional String Available when: type = rating_summary, inline_rating_summary
url_new_tab Optional Boolean Available when: type = rating_summary, inline_rating_summary
selector Optional String Available when: type = inline_rating_summary
inline_placement Optional String Available when: type = inline_rating_summary
rating_color Optional String Available when: type = rating_summary, inline_rating_summary
rating_background_color Optional String Available when: type = rating_summary, inline_rating_summary
stars_color Optional String Available when: type = rating_summary, inline_rating_summary
description_color Optional String Available when: type = rating_summary, inline_rating_summary
background_color Optional String Available when: type = rating_summary, inline_rating_summary
border_color Optional String Available when: type = rating_summary, inline_rating_summary
shadow_color Optional String Available when: type = rating_summary, inline_rating_summary
dark_mode_rating_color Optional String Available when: type = rating_summary, inline_rating_summary
dark_mode_rating_background_color Optional String Available when: type = rating_summary, inline_rating_summary
dark_mode_stars_color Optional String Available when: type = rating_summary, inline_rating_summary
dark_mode_description_color Optional String Available when: type = rating_summary, inline_rating_summary
dark_mode_background_color Optional String Available when: type = rating_summary, inline_rating_summary
dark_mode_border_color Optional String Available when: type = rating_summary, inline_rating_summary
dark_mode_shadow_color Optional String Available when: type = rating_summary, inline_rating_summary
emoji_feedback
title Optional String Available when: type = emoji_feedback
thank_you_url Optional String Available when: type = emoji_feedback
show_angry Optional Boolean Available when: type = emoji_feedback
show_sad Optional Boolean Available when: type = emoji_feedback
show_neutral Optional Boolean Available when: type = emoji_feedback
show_happy Optional Boolean Available when: type = emoji_feedback
show_excited Optional Boolean Available when: type = emoji_feedback
title_color Optional String Available when: type = emoji_feedback
background_color Optional String Available when: type = emoji_feedback
border_color Optional String Available when: type = emoji_feedback
shadow_color Optional String Available when: type = emoji_feedback
dark_mode_title_color Optional String Available when: type = emoji_feedback
dark_mode_background_color Optional String Available when: type = emoji_feedback
dark_mode_border_color Optional String Available when: type = emoji_feedback
dark_mode_shadow_color Optional String Available when: type = emoji_feedback
cookie_notification
score_feedback
title Optional String Available when: type = score_feedback
description Optional String Available when: type = score_feedback
thank_you_url Optional String Available when: type = score_feedback
title_color Optional String Available when: type = score_feedback
description_color Optional String Available when: type = score_feedback
background_color Optional String Available when: type = score_feedback
button_background_color Optional String Available when: type = score_feedback
button_color Optional String Available when: type = score_feedback
border_color Optional String Available when: type = score_feedback
shadow_color Optional String Available when: type = score_feedback
dark_mode_title_color Optional String Available when: type = score_feedback
dark_mode_description_color Optional String Available when: type = score_feedback
dark_mode_background_color Optional String Available when: type = score_feedback
dark_mode_button_background_color Optional String Available when: type = score_feedback
dark_mode_button_color Optional String Available when: type = score_feedback
dark_mode_border_color Optional String Available when: type = score_feedback
dark_mode_shadow_color Optional String Available when: type = score_feedback
request_collector
title Optional String Available when: type = request_collector
description Optional String Available when: type = request_collector
image Optional File Available when: type = request_collector
image_alt Optional String Available when: type = request_collector
content_title Optional String Available when: type = request_collector Translatable
content_description Optional String Available when: type = request_collector Translatable
input_placeholder Optional String Available when: type = request_collector Translatable
button_text Optional String Available when: type = request_collector Translatable
show_agreement Optional Boolean Available when: type = request_collector
agreement_text Optional String Available when: type = request_collector Translatable
agreement_url Optional String Available when: type = request_collector
thank_you_url Optional String Available when: type = request_collector
title_color Optional String Available when: type = request_collector
description_color Optional String Available when: type = request_collector
content_title_color Optional String Available when: type = request_collector
content_description_color Optional String Available when: type = request_collector
background_color Optional String Available when: type = request_collector
button_background_color Optional String Available when: type = request_collector
button_color Optional String Available when: type = request_collector
border_color Optional String Available when: type = request_collector
shadow_color Optional String Available when: type = request_collector
dark_mode_title_color Optional String Available when: type = request_collector
dark_mode_description_color Optional String Available when: type = request_collector
dark_mode_content_title_color Optional String Available when: type = request_collector
dark_mode_content_description_color Optional String Available when: type = request_collector
dark_mode_background_color Optional String Available when: type = request_collector
dark_mode_button_background_color Optional String Available when: type = request_collector
dark_mode_button_color Optional String Available when: type = request_collector
dark_mode_border_color Optional String Available when: type = request_collector
dark_mode_shadow_color Optional String Available when: type = request_collector
countdown_collector
title Optional String Available when: type = countdown_collector
description Optional String Available when: type = countdown_collector
input_placeholder Optional String Available when: type = countdown_collector Translatable
button_text Optional String Available when: type = countdown_collector Translatable
countdown_end_date Optional String Available when: type = countdown_collector
show_agreement Optional Boolean Available when: type = countdown_collector
agreement_text Optional String Available when: type = countdown_collector Translatable
agreement_url Optional String Available when: type = countdown_collector
thank_you_url Optional String Available when: type = countdown_collector
title_color Optional String Available when: type = countdown_collector
description_color Optional String Available when: type = countdown_collector
time_color Optional String Available when: type = countdown_collector
time_background_color Optional String Available when: type = countdown_collector
background_color Optional String Available when: type = countdown_collector
button_background_color Optional String Available when: type = countdown_collector
button_color Optional String Available when: type = countdown_collector
border_color Optional String Available when: type = countdown_collector
shadow_color Optional String Available when: type = countdown_collector
dark_mode_title_color Optional String Available when: type = countdown_collector
dark_mode_description_color Optional String Available when: type = countdown_collector
dark_mode_time_color Optional String Available when: type = countdown_collector
dark_mode_time_background_color Optional String Available when: type = countdown_collector
dark_mode_background_color Optional String Available when: type = countdown_collector
dark_mode_button_background_color Optional String Available when: type = countdown_collector
dark_mode_button_color Optional String Available when: type = countdown_collector
dark_mode_border_color Optional String Available when: type = countdown_collector
dark_mode_shadow_color Optional String Available when: type = countdown_collector
custom_html
html Optional String Available when: type = custom_html
background_color Optional String Available when: type = custom_html
border_color Optional String Available when: type = custom_html
shadow_color Optional String Available when: type = custom_html
dark_mode_background_color Optional String Available when: type = custom_html
dark_mode_border_color Optional String Available when: type = custom_html
dark_mode_shadow_color Optional String Available when: type = custom_html
informational_bar
title Optional String Available when: type = informational_bar
description Optional String Available when: type = informational_bar
image Optional File Available when: type = informational_bar
image_alt Optional Float Available when: type = informational_bar
url Optional Float Available when: type = informational_bar
url_new_tab Optional Boolean Available when: type = informational_bar
title_color Optional String Available when: type = informational_bar
description_color Optional String Available when: type = informational_bar
background_color Optional String Available when: type = informational_bar
border_color Optional String Available when: type = informational_bar
dark_mode_title_color Optional String Available when: type = informational_bar
dark_mode_description_color Optional String Available when: type = informational_bar
dark_mode_background_color Optional String Available when: type = informational_bar
dark_mode_border_color Optional String Available when: type = informational_bar
informational_bar_mini
title Optional String Available when: type = informational_bar_mini
image Optional File Available when: type = informational_bar_mini
image_alt Optional Float Available when: type = informational_bar_mini
url Optional Float Available when: type = informational_bar_mini
url_new_tab Optional Boolean Available when: type = informational_bar_mini
title_color Optional String Available when: type = informational_bar_mini
description_color Optional String Available when: type = informational_bar_mini
background_color Optional String Available when: type = informational_bar_mini
border_color Optional String Available when: type = informational_bar_mini
shadow_color Optional String Available when: type = informational_bar_mini
dark_mode_title_color Optional String Available when: type = informational_bar_mini
dark_mode_description_color Optional String Available when: type = informational_bar_mini
dark_mode_background_color Optional String Available when: type = informational_bar_mini
dark_mode_border_color Optional String Available when: type = informational_bar_mini
dark_mode_shadow_color Optional String Available when: type = informational_bar_mini
image
title Optional String Available when: type = image
image Optional File Available when: type = image
image_alt Optional String Available when: type = image
button_url Optional String Available when: type = image
button_text Optional String Available when: type = image Translatable
title_color Optional String Available when: type = image
background_color Optional String Available when: type = image
button_background_color Optional String Available when: type = image
button_color Optional String Available when: type = image
border_color Optional String Available when: type = image
shadow_color Optional String Available when: type = image
dark_mode_title_color Optional String Available when: type = image
dark_mode_background_color Optional String Available when: type = image
dark_mode_button_background_color Optional String Available when: type = image
dark_mode_button_color Optional String Available when: type = image
dark_mode_border_color Optional String Available when: type = image
dark_mode_shadow_color Optional String Available when: type = image
collector_bar
title Optional String Available when: type = collector_bar
input_placeholder Optional String Available when: type = collector_bar Translatable
button_text Optional String Available when: type = collector_bar Translatable
show_agreement Optional Boolean Available when: type = collector_bar
agreement_text Optional String Available when: type = collector_bar Translatable
agreement_url Optional String Available when: type = collector_bar
thank_you_url Optional String Available when: type = collector_bar
title_color Optional String Available when: type = collector_bar
background_color Optional String Available when: type = collector_bar
button_background_color Optional String Available when: type = collector_bar
button_color Optional String Available when: type = collector_bar
border_color Optional String Available when: type = collector_bar
dark_mode_title_color Optional String Available when: type = collector_bar
dark_mode_background_color Optional String Available when: type = collector_bar
dark_mode_button_background_color Optional String Available when: type = collector_bar
dark_mode_button_color Optional String Available when: type = collector_bar
dark_mode_border_color Optional String Available when: type = collector_bar
coupon_bar
title Optional String Available when: type = coupon_bar
coupon_code Optional String Available when: type = coupon_bar Translatable
url Optional Float Available when: type = coupon_bar
url_new_tab Optional Boolean Available when: type = coupon_bar
title_color Optional String Available when: type = coupon_bar
background_color Optional String Available when: type = coupon_bar
coupon_code_color Optional String Available when: type = coupon_bar
coupon_code_background_color Optional String Available when: type = coupon_bar
coupon_code_border_color Optional String Available when: type = coupon_bar
border_color Optional String Available when: type = coupon_bar
dark_mode_title_color Optional String Available when: type = coupon_bar
dark_mode_background_color Optional String Available when: type = coupon_bar
dark_mode_coupon_code_color Optional String Available when: type = coupon_bar
dark_mode_coupon_code_background_color Optional String Available when: type = coupon_bar
dark_mode_coupon_code_border_color Optional String Available when: type = coupon_bar
dark_mode_border_color Optional String Available when: type = coupon_bar
button_bar
title Optional String Available when: type = button_bar
button_text Optional String Available when: type = button_bar Translatable
url Optional String Available when: type = button_bar
url_new_tab Optional Boolean Available when: type = button_bar
title_color Optional String Available when: type = button_bar
background_color Optional String Available when: type = button_bar
button_color Optional String Available when: type = button_bar
button_background_color Optional String Available when: type = button_bar
border_color Optional String Available when: type = button_bar
dark_mode_title_color Optional String Available when: type = button_bar
dark_mode_background_color Optional String Available when: type = button_bar
dark_mode_button_color Optional String Available when: type = button_bar
dark_mode_button_background_color Optional String Available when: type = button_bar
dark_mode_border_color Optional String Available when: type = button_bar
collector_modal
title Optional String Available when: type = collector_modal
description Optional String Available when: type = collector_modal
image Optional File Available when: type = collector_modal
image_alt Optional String Available when: type = collector_modal
input_placeholder Optional String Available when: type = collector_modal Translatable
button_text Optional String Available when: type = collector_modal Translatable
show_agreement Optional Boolean Available when: type = collector_modal
agreement_text Optional String Available when: type = collector_modal Translatable
agreement_url Optional String Available when: type = collector_modal
thank_you_url Optional String Available when: type = collector_modal
title_color Optional String Available when: type = collector_modal
description_color Optional String Available when: type = collector_modal
background_color Optional String Available when: type = collector_modal
button_background_color Optional String Available when: type = collector_modal
button_color Optional String Available when: type = collector_modal
border_color Optional String Available when: type = collector_modal
shadow_color Optional String Available when: type = collector_modal
dark_mode_title_color Optional String Available when: type = collector_modal
dark_mode_description_color Optional String Available when: type = collector_modal
dark_mode_background_color Optional String Available when: type = collector_modal
dark_mode_button_background_color Optional String Available when: type = collector_modal
dark_mode_button_color Optional String Available when: type = collector_modal
dark_mode_border_color Optional String Available when: type = collector_modal
dark_mode_shadow_color Optional String Available when: type = collector_modal
collector_two_modal
title Optional String Available when: type = collector_two_modal
description Optional String Available when: type = collector_two_modal
image Optional File Available when: type = collector_two_modal
image_alt Optional String Available when: type = collector_two_modal
input_placeholder Optional String Available when: type = collector_two_modal Translatable
button_text Optional String Available when: type = collector_two_modal Translatable
show_agreement Optional Boolean Available when: type = collector_two_modal
agreement_text Optional String Available when: type = collector_two_modal Translatable
agreement_url Optional String Available when: type = collector_two_modal
thank_you_url Optional String Available when: type = collector_two_modal
title_color Optional String Available when: type = collector_two_modal
description_color Optional String Available when: type = collector_two_modal
background_color Optional String Available when: type = collector_two_modal
button_background_color Optional String Available when: type = collector_two_modal
button_color Optional String Available when: type = collector_two_modal
border_color Optional String Available when: type = collector_two_modal
shadow_color Optional String Available when: type = collector_two_modal
dark_mode_title_color Optional String Available when: type = collector_two_modal
dark_mode_description_color Optional String Available when: type = collector_two_modal
dark_mode_background_color Optional String Available when: type = collector_two_modal
dark_mode_button_background_color Optional String Available when: type = collector_two_modal
dark_mode_button_color Optional String Available when: type = collector_two_modal
dark_mode_border_color Optional String Available when: type = collector_two_modal
dark_mode_shadow_color Optional String Available when: type = collector_two_modal
button_modal
title Optional String Available when: type = button_modal
description Optional String Available when: type = button_modal
image Optional File Available when: type = button_modal
image_alt Optional String Available when: type = button_modal
button_text Optional String Available when: type = button_modal Translatable
button_url Optional String Available when: type = button_modal
url_new_tab Optional Boolean Available when: type = button_modal
title_color Optional String Available when: type = button_modal
description_color Optional String Available when: type = button_modal
background_color Optional String Available when: type = button_modal
button_background_color Optional String Available when: type = button_modal
button_color Optional String Available when: type = button_modal
border_color Optional String Available when: type = button_modal
shadow_color Optional String Available when: type = button_modal
dark_mode_title_color Optional String Available when: type = button_modal
dark_mode_description_color Optional String Available when: type = button_modal
dark_mode_background_color Optional String Available when: type = button_modal
dark_mode_button_background_color Optional String Available when: type = button_modal
dark_mode_button_color Optional String Available when: type = button_modal
dark_mode_border_color Optional String Available when: type = button_modal
dark_mode_shadow_color Optional String Available when: type = button_modal
text_feedback
title Optional String Available when: type = text_feedback
description Optional String Available when: type = text_feedback
input_placeholder Optional String Available when: type = text_feedback Translatable
button_text Optional String Available when: type = text_feedback Translatable
thank_you_url Optional String Available when: type = text_feedback
title_color Optional String Available when: type = text_feedback
description_color Optional String Available when: type = text_feedback
background_color Optional String Available when: type = text_feedback
button_background_color Optional String Available when: type = text_feedback
button_color Optional String Available when: type = text_feedback
border_color Optional String Available when: type = text_feedback
shadow_color Optional String Available when: type = text_feedback
dark_mode_title_color Optional String Available when: type = text_feedback
dark_mode_description_color Optional String Available when: type = text_feedback
dark_mode_background_color Optional String Available when: type = text_feedback
dark_mode_button_background_color Optional String Available when: type = text_feedback
dark_mode_button_color Optional String Available when: type = text_feedback
dark_mode_border_color Optional String Available when: type = text_feedback
dark_mode_shadow_color Optional String Available when: type = text_feedback
engagement_links
title_color Optional String Available when: type = text_feedback
categories_title_color Optional String Available when: type = text_feedback
categories_description_color Optional String Available when: type = text_feedback
categories_links_title_color Optional String Available when: type = text_feedback
categories_links_description_color Optional String Available when: type = text_feedback
categories_links_background_color Optional String Available when: type = text_feedback
categories_links_border_color Optional String Available when: type = text_feedback
background_color Optional String Available when: type = text_feedback
border_color Optional String Available when: type = text_feedback
shadow_color Optional String Available when: type = text_feedback
dark_mode_title_color Optional String Available when: type = text_feedback
dark_mode_categories_title_color Optional String Available when: type = text_feedback
dark_mode_categories_description_color Optional String Available when: type = text_feedback
dark_mode_categories_links_title_color Optional String Available when: type = text_feedback
dark_mode_categories_links_description_color Optional String Available when: type = text_feedback
dark_mode_categories_links_background_color Optional String Available when: type = text_feedback
dark_mode_categories_links_border_color Optional String Available when: type = text_feedback
dark_mode_background_color Optional String Available when: type = text_feedback
dark_mode_border_color Optional String Available when: type = text_feedback
dark_mode_shadow_color Optional String Available when: type = text_feedback
whatsapp_chat
title Optional String Available when: type = whatsapp_chat
agent_image Optional File Available when: type = whatsapp_chat
agent_image_alt Optional String Available when: type = whatsapp_chat
agent_name Optional String Available when: type = whatsapp_chat Translatable
agent_description Optional String Available when: type = whatsapp_chat Translatable
agent_message Optional String Available when: type = whatsapp_chat Translatable
agent_phone_number Optional String Available when: type = whatsapp_chat Translatable
button_text Optional String Available when: type = whatsapp_chat Translatable
header_agent_name_color Optional String Available when: type = whatsapp_chat
header_agent_description_color Optional String Available when: type = whatsapp_chat
header_background_color Optional String Available when: type = whatsapp_chat
content_background_color Optional String Available when: type = whatsapp_chat
content_agent_name_color Optional String Available when: type = whatsapp_chat
content_agent_message_color Optional String Available when: type = whatsapp_chat
content_agent_message_background_color Optional String Available when: type = whatsapp_chat
footer_background_color Optional String Available when: type = whatsapp_chat
footer_button_background_color Optional String Available when: type = whatsapp_chat
footer_button_color Optional String Available when: type = whatsapp_chat
title_color Optional String Available when: type = whatsapp_chat
background_color Optional String Available when: type = whatsapp_chat
border_color Optional String Available when: type = whatsapp_chat
shadow_color Optional String Available when: type = whatsapp_chat
dark_mode_header_agent_name_color Optional String Available when: type = whatsapp_chat
dark_mode_header_agent_description_color Optional String Available when: type = whatsapp_chat
dark_mode_header_background_color Optional String Available when: type = whatsapp_chat
dark_mode_content_background_color Optional String Available when: type = whatsapp_chat
dark_mode_content_agent_name_color Optional String Available when: type = whatsapp_chat
dark_mode_content_agent_message_color Optional String Available when: type = whatsapp_chat
dark_mode_content_agent_message_background_color Optional String Available when: type = whatsapp_chat
dark_mode_footer_background_color Optional String Available when: type = whatsapp_chat
dark_mode_footer_button_background_color Optional String Available when: type = whatsapp_chat
dark_mode_footer_button_color Optional String Available when: type = whatsapp_chat
dark_mode_title_color Optional String Available when: type = whatsapp_chat
dark_mode_background_color Optional String Available when: type = whatsapp_chat
dark_mode_border_color Optional String Available when: type = whatsapp_chat
dark_mode_shadow_color Optional String Available when: type = whatsapp_chat
telegram_chat
title Optional String Available when: type = telegram_chat
agent_image Optional File Available when: type = telegram_chat
agent_image_alt Optional String Available when: type = telegram_chat
agent_name Optional String Available when: type = telegram_chat Translatable
agent_description Optional String Available when: type = telegram_chat Translatable
agent_message Optional String Available when: type = telegram_chat Translatable
agent_telegram Optional String Available when: type = telegram_chat Translatable
button_text Optional String Available when: type = telegram_chat Translatable
header_agent_name_color Optional String Available when: type = telegram_chat
header_agent_description_color Optional String Available when: type = telegram_chat
header_background_color Optional String Available when: type = telegram_chat
content_background_color Optional String Available when: type = telegram_chat
content_agent_name_color Optional String Available when: type = telegram_chat
content_agent_message_color Optional String Available when: type = telegram_chat
content_agent_message_background_color Optional String Available when: type = telegram_chat
footer_background_color Optional String Available when: type = telegram_chat
footer_button_background_color Optional String Available when: type = telegram_chat
footer_button_color Optional String Available when: type = telegram_chat
title_color Optional String Available when: type = telegram_chat
background_color Optional String Available when: type = telegram_chat
border_color Optional String Available when: type = telegram_chat
shadow_color Optional String Available when: type = telegram_chat
dark_mode_header_agent_name_color Optional String Available when: type = telegram_chat
dark_mode_header_agent_description_color Optional String Available when: type = telegram_chat
dark_mode_header_background_color Optional String Available when: type = telegram_chat
dark_mode_content_background_color Optional String Available when: type = telegram_chat
dark_mode_content_agent_name_color Optional String Available when: type = telegram_chat
dark_mode_content_agent_message_color Optional String Available when: type = telegram_chat
dark_mode_content_agent_message_background_color Optional String Available when: type = telegram_chat
dark_mode_footer_background_color Optional String Available when: type = telegram_chat
dark_mode_footer_button_background_color Optional String Available when: type = telegram_chat
dark_mode_footer_button_color Optional String Available when: type = telegram_chat
dark_mode_title_color Optional String Available when: type = telegram_chat
dark_mode_background_color Optional String Available when: type = telegram_chat
dark_mode_border_color Optional String Available when: type = telegram_chat
dark_mode_shadow_color Optional String Available when: type = telegram_chat
facebook_messenger_chat
contact_us
title Optional String Available when: type = contact_us
description Optional String Available when: type = contact_us
contact_email Optional String Available when: type = contact_us
contact_phone_number Optional String Available when: type = contact_us
contact_whatsapp Optional String Available when: type = contact_us
contact_telegram Optional String Available when: type = contact_us
contact_facebook_messenger Optional String Available when: type = contact_us
title_color Optional String Available when: type = contact_us
description_color Optional String Available when: type = contact_us
background_color Optional String Available when: type = contact_us
border_color Optional String Available when: type = contact_us
shadow_color Optional String Available when: type = contact_us
dark_mode_title_color Optional String Available when: type = contact_us
dark_mode_description_color Optional String Available when: type = contact_us
dark_mode_background_color Optional String Available when: type = contact_us
dark_mode_border_color Optional String Available when: type = contact_us
dark_mode_shadow_color Optional String Available when: type = contact_us
display_continents Optional String -
display_countries Optional String -
display_languages Optional String -
display_operating_systems Optional String -
display_browsers Optional String -
display_cities Optional String -
infinite_rotation Optional String -
video_is_vimeo Optional String -
vimeo_video_id Optional Integer -
badge_text Optional String -
hint_text Optional String -
items Optional Array -
trigger_type Optional String -
trigger_value Optional Integer -
border_color Optional String -
dark_mode_border_color Optional String -
shadow_color Optional String -
dark_mode_shadow_color Optional String -
title_color Optional String -
description_color Optional String -
background_color Optional String -
dark_mode_title_color Optional String -
dark_mode_description_color Optional String -
dark_mode_background_color Optional String -
margin_top Optional String -
margin_right Optional String -
margin_bottom Optional String -
margin_left Optional String -
button_background_color Optional String -
button_color Optional String -
dark_mode_button_background_color Optional String -
dark_mode_button_color Optional String -
number_background_color Optional String -
number_color Optional String -
pulse_background_color Optional String -
dark_mode_number_background_color Optional String -
dark_mode_number_color Optional String -
dark_mode_pulse_background_color Optional String -
date_color Optional String -
dark_mode_date_color Optional String -
rating_color Optional String -
rating_background_color Optional String -
stars_color Optional String -
dark_mode_rating_color Optional String -
dark_mode_rating_background_color Optional String -
dark_mode_stars_color Optional String -
content_title_color Optional String -
content_description_color Optional String -
dark_mode_content_title_color Optional String -
dark_mode_content_description_color Optional String -
time_color Optional String -
time_background_color Optional String -
dark_mode_time_color Optional String -
dark_mode_time_background_color Optional String -
coupon_code_color Optional String -
coupon_code_background_color Optional String -
coupon_code_border_color Optional String -
dark_mode_coupon_code_color Optional String -
dark_mode_coupon_code_background_color Optional String -
dark_mode_coupon_code_border_color Optional String -
categories_title_color Optional String -
categories_description_color Optional String -
categories_links_title_color Optional String -
categories_links_description_color Optional String -
categories_links_background_color Optional String -
categories_links_border_color Optional String -
dark_mode_categories_title_color Optional String -
dark_mode_categories_description_color Optional String -
dark_mode_categories_links_title_color Optional String -
dark_mode_categories_links_description_color Optional String -
dark_mode_categories_links_background_color Optional String -
dark_mode_categories_links_border_color Optional String -
badge_background_color Optional String -
badge_color Optional String -
hint_background_color Optional String -
hint_color Optional String -
item_question_color Optional String -
item_answer_color Optional String -
item_background_color Optional String -
item_border_color Optional String -
dark_mode_badge_background_color Optional String -
dark_mode_badge_color Optional String -
dark_mode_hint_background_color Optional String -
dark_mode_hint_color Optional String -
dark_mode_item_question_color Optional String -
dark_mode_item_answer_color Optional String -
dark_mode_item_background_color Optional String -
dark_mode_item_border_color Optional String -
header_agent_name_color Optional String -
header_agent_description_color Optional String -
header_background_color Optional String -
content_background_color Optional String -
content_agent_name_color Optional String -
content_agent_message_color Optional String -
content_agent_message_background_color Optional String -
footer_background_color Optional String -
footer_button_background_color Optional String -
footer_button_color Optional String -
dark_mode_header_agent_name_color Optional String -
dark_mode_header_agent_description_color Optional String -
dark_mode_header_background_color Optional String -
dark_mode_content_background_color Optional String -
dark_mode_content_agent_name_color Optional String -
dark_mode_content_agent_message_color Optional String -
dark_mode_content_agent_message_background_color Optional String -
dark_mode_footer_background_color Optional String -
dark_mode_footer_button_background_color Optional String -
dark_mode_footer_button_color Optional String -
gt_targeting Optional JSON / form array Available on every widget, on create and update. Omitted on update: existing conditions are kept. An empty object clears the conditions and weekly schedule. All conditions must match; URL exclusions take priority.
Condition schema and site integration
{
    "gt_targeting": {
        "conditions": [
            {
                "source": "query",
                "key": "utm_source",
                "operator": "equals",
                "value": "google"
            },
            {
                "source": "path",
                "operator": "equals",
                "value": "/pricing"
            },
            {
                "source": "attribute",
                "key": "logged_in",
                "operator": "equals",
                "value": false
            }
        ],
        "weekly": {
            "enabled": true,
            "timezone": "Europe/Paris",
            "days": [
                1,
                2,
                3,
                4,
                5
            ],
            "start": "09:00",
            "end": "18:00"
        }
    }
}

Sources: query, path, attribute. Operators: exists, not_exists, equals, not_equals, contains, not_contains, starts_with, ends_with, in (array of text values). Attributes also accept gt, gte, lt, lte with numeric values. Equality preserves text, number and boolean types. Missing values only match not_exists. URL values are decoded and case-sensitive; repeated parameters match any value, negative comparisons exclude every matching value. Paths start with / and ignore query/hash. Limits: 20 conditions, 50 list values, 512 characters per value.

Weekly days use ISO numbers (Monday 1, Sunday 7). End time is excluded. Overnight intervals belong to their starting day. The existing date range also applies.

For a business-event trigger, update display_trigger to event and display_trigger_value to your event name. Event names start with a letter and accept letters, digits, underscore, dot, colon and hyphen (64 characters maximum).

window.growthtools = window.growthtools || function () {
  (window.growthtools.q = window.growthtools.q || []).push(arguments);
};
growthtools('set', { logged_in: false, plan: 'free', cart_total: 100 });
growthtools('track', 'add_to_cart');

Initialize the queue before the campaign pixel. Attributes stay in page memory; null removes an attribute. Events are replayable for 30 seconds on the same URL, once per widget and event. Send confirmed success events, not unconfirmed form submissions. Browser targeting is for presentation, never authorization.

gt_integration Optional JSON / form array Available on all notification types. References an account connection: enabled, connection_id, provider, record_mode, record_id. Airtable: base_id, table_id, view_id, formula, records_url, modified_field. JSON API: json_path. No credentials in this payload. Omitted on update: existing integration is kept. enabled=false: disabled.
gt_accordion_faq Accordion FAQ
template Optional One of: lines, cards, plus Available when: type = gt_accordion_faq
title Optional String (limited HTML: span with style) Available when: type = gt_accordion_faq
selector Optional String Available when: type = gt_accordion_faq
accent_color Optional Hex color Available when: type = gt_accordion_faq
background_color Optional Hex color Available when: type = gt_accordion_faq
title_color Optional Hex color Available when: type = gt_accordion_faq
text_color Optional Hex color Available when: type = gt_accordion_faq
items Optional Array of up to 30 objects with fields (question, answer) Available when: type = gt_accordion_faq
single_open Optional Boolean Available when: type = gt_accordion_faq
gt_before_after Before and After
template Optional One of: horizontal, vertical, toggle Available when: type = gt_before_after
title Optional String (limited HTML: span with style) Available when: type = gt_before_after
selector Optional String Available when: type = gt_before_after
accent_color Optional Hex color Available when: type = gt_before_after
background_color Optional Hex color Available when: type = gt_before_after
title_color Optional Hex color Available when: type = gt_before_after
text_color Optional Hex color Available when: type = gt_before_after
before_image Optional URL (http, https, mailto, tel or relative) Available when: type = gt_before_after
after_image Optional URL (http, https, mailto, tel or relative) Available when: type = gt_before_after
before_label Optional String Available when: type = gt_before_after
after_label Optional String Available when: type = gt_before_after
start Optional Integer from 0 to 100 Available when: type = gt_before_after
gt_business_hours Business Hours
template Optional One of: table, card, compact Available when: type = gt_business_hours
title Optional String (limited HTML: span with style) Available when: type = gt_business_hours
selector Optional String Available when: type = gt_business_hours
accent_color Optional Hex color Available when: type = gt_business_hours
background_color Optional Hex color Available when: type = gt_business_hours
title_color Optional Hex color Available when: type = gt_business_hours
text_color Optional Hex color Available when: type = gt_business_hours
timezone Optional String Available when: type = gt_business_hours
open_text Optional String Available when: type = gt_business_hours
closed_text Optional String Available when: type = gt_business_hours
mon Optional String Available when: type = gt_business_hours
tue Optional String Available when: type = gt_business_hours
wed Optional String Available when: type = gt_business_hours
thu Optional String Available when: type = gt_business_hours
fri Optional String Available when: type = gt_business_hours
sat Optional String Available when: type = gt_business_hours
sun Optional String Available when: type = gt_business_hours
gt_countdown_cta Countdown CTA
title Optional String (limited HTML: span with style) Available when: type = gt_countdown_cta
description Optional String (limited HTML: span with style) Available when: type = gt_countdown_cta
countdown_mode Optional One of: fixed, evergreen Available when: type = gt_countdown_cta
countdown_end_date Optional Datetime Y-m-d H:i:s, in your account timezone Available when: type = gt_countdown_cta
evergreen_minutes Optional Integer from 1 to 525600 Available when: type = gt_countdown_cta
button_text Optional String (limited HTML: span with style) Available when: type = gt_countdown_cta
button_url Optional URL (http, https, mailto, tel or relative) Available when: type = gt_countdown_cta
button_url_new_tab Optional Boolean Available when: type = gt_countdown_cta
expired_behavior Optional One of: hide, text Available when: type = gt_countdown_cta
expired_text Optional String (limited HTML: span with style) Available when: type = gt_countdown_cta
title_color Optional Hex color Available when: type = gt_countdown_cta
description_color Optional Hex color Available when: type = gt_countdown_cta
time_color Optional Hex color Available when: type = gt_countdown_cta
time_background_color Optional Hex color Available when: type = gt_countdown_cta
background_color Optional Hex color Available when: type = gt_countdown_cta
button_background_color Optional Hex color Available when: type = gt_countdown_cta
button_color Optional Hex color Available when: type = gt_countdown_cta
dark_mode_title_color Optional Hex color Available when: type = gt_countdown_cta
dark_mode_description_color Optional Hex color Available when: type = gt_countdown_cta
dark_mode_time_color Optional Hex color Available when: type = gt_countdown_cta
dark_mode_time_background_color Optional Hex color Available when: type = gt_countdown_cta
dark_mode_background_color Optional Hex color Available when: type = gt_countdown_cta
dark_mode_button_background_color Optional Hex color Available when: type = gt_countdown_cta
dark_mode_button_color Optional Hex color Available when: type = gt_countdown_cta
gt_custom_html_bar Custom HTML Bar
html Optional HTML string (sanitized, scripts/iframes blocked, max 16000 chars) Available when: type = gt_custom_html_bar
bar_position Optional One of: top, bottom Available when: type = gt_custom_html_bar
is_sticky Optional Boolean Available when: type = gt_custom_html_bar
gt_email_locker Email to unlock
title Optional String (limited HTML: span with style) Available when: type = gt_email_locker
description Optional String (limited HTML: span with style) Available when: type = gt_email_locker
submit_text Optional String (limited HTML: span with style) Available when: type = gt_email_locker
success_title Optional String (limited HTML: span with style) Available when: type = gt_email_locker
locker_selector Optional String Available when: type = gt_email_locker
email_label Optional String Available when: type = gt_email_locker
consent_text Optional String (limited HTML: span with style) Available when: type = gt_email_locker
consent_required Optional Boolean Available when: type = gt_email_locker
success_confetti Optional Boolean Available when: type = gt_email_locker
title_color Optional Hex color Available when: type = gt_email_locker
description_color Optional Hex color Available when: type = gt_email_locker
background_color Optional Hex color Available when: type = gt_email_locker
button_background_color Optional Hex color Available when: type = gt_email_locker
button_color Optional Hex color Available when: type = gt_email_locker
gt_help_center Help Center
title Optional String (limited HTML: span with style) Available when: type = gt_help_center
search_placeholder Optional String Available when: type = gt_help_center
faq_items Optional Array of up to 20 objects with fields (question, answer) Available when: type = gt_help_center
contact_text Optional String Available when: type = gt_help_center
contact_url Optional URL (http, https, mailto, tel or relative) Available when: type = gt_help_center
title_color Optional Hex color Available when: type = gt_help_center
dark_mode_title_color Optional Hex color Available when: type = gt_help_center
gt_icons_links Icons Links
gt_image_hotspot Image Hotspot
template Optional One of: pulse, numbered, plus Available when: type = gt_image_hotspot
title Optional String (limited HTML: span with style) Available when: type = gt_image_hotspot
selector Optional String Available when: type = gt_image_hotspot
accent_color Optional Hex color Available when: type = gt_image_hotspot
background_color Optional Hex color Available when: type = gt_image_hotspot
title_color Optional Hex color Available when: type = gt_image_hotspot
text_color Optional Hex color Available when: type = gt_image_hotspot
image Optional URL (http, https, mailto, tel or relative) Available when: type = gt_image_hotspot
points Optional Array of up to 15 objects with fields (x, y, label, text) Available when: type = gt_image_hotspot
gt_logo_showcase Logo Showcase
template Optional One of: grid, marquee, cards Available when: type = gt_logo_showcase
title Optional String (limited HTML: span with style) Available when: type = gt_logo_showcase
selector Optional String Available when: type = gt_logo_showcase
accent_color Optional Hex color Available when: type = gt_logo_showcase
background_color Optional Hex color Available when: type = gt_logo_showcase
title_color Optional Hex color Available when: type = gt_logo_showcase
text_color Optional Hex color Available when: type = gt_logo_showcase
logos Optional Array of up to 30 objects with fields (image, name, link) Available when: type = gt_logo_showcase
grayscale Optional Boolean Available when: type = gt_logo_showcase
gt_messenger_chat Messenger Chat
page_identifier Optional String Available when: type = gt_messenger_chat
agent_name Optional String Available when: type = gt_messenger_chat
avatar_url Optional URL (http, https, mailto, tel or relative) Available when: type = gt_messenger_chat
badge_text Optional String Available when: type = gt_messenger_chat
opening_message Optional String (limited HTML: span with style) Available when: type = gt_messenger_chat
button_text Optional String Available when: type = gt_messenger_chat
button_background_color Optional Hex color Available when: type = gt_messenger_chat
button_color Optional Hex color Available when: type = gt_messenger_chat
gt_photo_gallery Photo Gallery
gt_podcast_player Podcast Player
feed_url Optional URL (http, https, mailto, tel or relative) Available when: type = gt_podcast_player
episodes Optional Array of up to 50 objects with fields (title, audio, image, description) Available when: type = gt_podcast_player
show_title Optional String Available when: type = gt_podcast_player
placement Optional One of: inline, floating, bar_bottom, bar_top Available when: type = gt_podcast_player
selector Optional String Available when: type = gt_podcast_player
layout Optional One of: player, card, grid Available when: type = gt_podcast_player
sort Optional One of: newest, oldest Available when: type = gt_podcast_player
max_episodes Optional Integer from 1 to 300 Available when: type = gt_podcast_player
season Optional Integer from 0 to 9999 Available when: type = gt_podcast_player
episode_from Optional Integer from 0 to 99999 Available when: type = gt_podcast_player
episode_to Optional Integer from 0 to 99999 Available when: type = gt_podcast_player
filter_keyword Optional String Available when: type = gt_podcast_player
show_artwork Optional Boolean Available when: type = gt_podcast_player
show_description Optional Boolean Available when: type = gt_podcast_player
show_list Optional Boolean Available when: type = gt_podcast_player
show_search Optional Boolean Available when: type = gt_podcast_player
show_speed Optional Boolean Available when: type = gt_podcast_player
show_skip Optional Boolean Available when: type = gt_podcast_player
show_prev_next Optional Boolean Available when: type = gt_podcast_player
show_share Optional Boolean Available when: type = gt_podcast_player
show_download Optional Boolean Available when: type = gt_podcast_player
show_subscribe Optional Boolean Available when: type = gt_podcast_player
skip_back Optional Integer from 5 to 60 Available when: type = gt_podcast_player
skip_forward Optional Integer from 5 to 120 Available when: type = gt_podcast_player
subscribe Optional Array of up to 12 objects with fields (icon, url, label) Available when: type = gt_podcast_player
cta_text Optional String Available when: type = gt_podcast_player
cta_url Optional URL (http, https, mailto, tel or relative) Available when: type = gt_podcast_player
accent_color Optional Hex color Available when: type = gt_podcast_player
background_color Optional Hex color Available when: type = gt_podcast_player
text_color Optional Hex color Available when: type = gt_podcast_player
muted_color Optional Hex color Available when: type = gt_podcast_player
dark_mode_background_color Optional Hex color Available when: type = gt_podcast_player
dark_mode_text_color Optional Hex color Available when: type = gt_podcast_player
dark_mode_muted_color Optional Hex color Available when: type = gt_podcast_player
gt_popup Popup
gt_pricing_table Pricing Table
template Optional One of: cards, rows, minimal Available when: type = gt_pricing_table
title Optional String (limited HTML: span with style) Available when: type = gt_pricing_table
selector Optional String Available when: type = gt_pricing_table
accent_color Optional Hex color Available when: type = gt_pricing_table
background_color Optional Hex color Available when: type = gt_pricing_table
title_color Optional Hex color Available when: type = gt_pricing_table
text_color Optional Hex color Available when: type = gt_pricing_table
plans Optional Array of up to 6 objects with fields (name, price, period, features, button_text, button_url, highlight) Available when: type = gt_pricing_table
gt_quiz Quiz
template Optional One of: card, minimal, bold Available when: type = gt_quiz
title Optional String (limited HTML: span with style) Available when: type = gt_quiz
selector Optional String Available when: type = gt_quiz
accent_color Optional Hex color Available when: type = gt_quiz
background_color Optional Hex color Available when: type = gt_quiz
title_color Optional Hex color Available when: type = gt_quiz
text_color Optional Hex color Available when: type = gt_quiz
questions Optional Array of up to 15 objects with fields (question, answers, correct) Available when: type = gt_quiz
result_title Optional String Available when: type = gt_quiz
result_text Optional String (limited HTML: span with style) Available when: type = gt_quiz
button_text Optional String Available when: type = gt_quiz
button_url Optional URL (http, https, mailto, tel or relative) Available when: type = gt_quiz
gt_restaurant_menu Restaurant Menu
template Optional One of: list, cards, tabs Available when: type = gt_restaurant_menu
title Optional String (limited HTML: span with style) Available when: type = gt_restaurant_menu
selector Optional String Available when: type = gt_restaurant_menu
accent_color Optional Hex color Available when: type = gt_restaurant_menu
background_color Optional Hex color Available when: type = gt_restaurant_menu
title_color Optional Hex color Available when: type = gt_restaurant_menu
text_color Optional Hex color Available when: type = gt_restaurant_menu
items Optional Array of up to 60 objects with fields (category, name, description, price, image) Available when: type = gt_restaurant_menu
gt_rss_feed RSS / Atom Feed
rss_url Optional URL (http, https, mailto, tel or relative) Available when: type = gt_rss_feed
max_items Optional Integer from 1 to 10 Available when: type = gt_rss_feed
rotation_interval Optional Integer from 2 to 60 Available when: type = gt_rss_feed
title Optional String Available when: type = gt_rss_feed
button_text Optional String Available when: type = gt_rss_feed
button_url_new_tab Optional Boolean Available when: type = gt_rss_feed
title_color Optional Hex color Available when: type = gt_rss_feed
description_color Optional Hex color Available when: type = gt_rss_feed
button_background_color Optional Hex color Available when: type = gt_rss_feed
button_color Optional Hex color Available when: type = gt_rss_feed
dark_mode_title_color Optional Hex color Available when: type = gt_rss_feed
dark_mode_description_color Optional Hex color Available when: type = gt_rss_feed
gt_spin_wheel Spin wheel
title Optional String (limited HTML: span with style) Available when: type = gt_spin_wheel
description Optional String (limited HTML: span with style) Available when: type = gt_spin_wheel
win_text Optional String Available when: type = gt_spin_wheel
submit_text Optional String (limited HTML: span with style) Available when: type = gt_spin_wheel
success_title Optional String (limited HTML: span with style) Available when: type = gt_spin_wheel
segments Optional Array of up to 12 objects with fields (label, weight, coupon, color) Available when: type = gt_spin_wheel
placement Optional One of: popup, inline Available when: type = gt_spin_wheel
selector Optional String Available when: type = gt_spin_wheel
wheel_style Optional One of: classic, ring, minimal Available when: type = gt_spin_wheel
limit_value Optional Integer from 1 to 10 Available when: type = gt_spin_wheel
limit_unit Optional One of: day, week, month, ever Available when: type = gt_spin_wheel
email_label Optional String Available when: type = gt_spin_wheel
collect_name Optional Boolean Available when: type = gt_spin_wheel
name_label Optional String Available when: type = gt_spin_wheel
name_required Optional Boolean Available when: type = gt_spin_wheel
consent_text Optional String (limited HTML: span with style) Available when: type = gt_spin_wheel
consent_required Optional Boolean Available when: type = gt_spin_wheel
success_confetti Optional Boolean Available when: type = gt_spin_wheel
title_color Optional Hex color Available when: type = gt_spin_wheel
description_color Optional Hex color Available when: type = gt_spin_wheel
background_color Optional Hex color Available when: type = gt_spin_wheel
button_background_color Optional Hex color Available when: type = gt_spin_wheel
button_color Optional Hex color Available when: type = gt_spin_wheel
gt_telegram_chat Telegram Chat
username Optional String Available when: type = gt_telegram_chat
agent_name Optional String Available when: type = gt_telegram_chat
avatar_url Optional URL (http, https, mailto, tel or relative) Available when: type = gt_telegram_chat
badge_text Optional String Available when: type = gt_telegram_chat
opening_message Optional String (limited HTML: span with style) Available when: type = gt_telegram_chat
button_text Optional String Available when: type = gt_telegram_chat
button_background_color Optional Hex color Available when: type = gt_telegram_chat
button_color Optional Hex color Available when: type = gt_telegram_chat
gt_video_bubble Video Bubble
video_source Optional One of: mp4, youtube Available when: type = gt_video_bubble
video_url Optional URL (http, https, mailto, tel or relative) Available when: type = gt_video_bubble
poster_url Optional URL (http, https, mailto, tel or relative) Available when: type = gt_video_bubble
title Optional String Available when: type = gt_video_bubble
button_text Optional String Available when: type = gt_video_bubble
button_url Optional URL (http, https, mailto, tel or relative) Available when: type = gt_video_bubble
button_url_new_tab Optional Boolean Available when: type = gt_video_bubble
button_background_color Optional Hex color Available when: type = gt_video_bubble
button_color Optional Hex color Available when: type = gt_video_bubble
curl --request POST \
--url 'https://dashboard.growthtools.app/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "campaign_id": 1,
        "notification_key": "Example",
        "name": "Example",
        "type": "Example",
        "settings": {},
        "impressions": 1,
        "hovers": 1,
        "clicks": 1,
        "form_submissions": 1,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-15 15:35:50"
    }
}
DELETE https://dashboard.growthtools.app/api/notifications/{notification_id}
curl --request DELETE \
--url 'https://dashboard.growthtools.app/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \